Skip to main content
PUT
Update One Shipment By Source System Id
Updates by external key: send sourceSystem + sourceSystemId inside input to update without the Upwell id. See Idempotency & retries.

Authorizations

Authorization
string
header
required

Your API key, sent in the Authorization header: Authorization: YOUR_API_KEY. A Bearer prefix is also accepted (Authorization: Bearer YOUR_API_KEY). Keys are created in the Upwell dashboard (Account โ†’ API keys) and are scoped to one organization.

Query Parameters

sourceSystem
string

"sourceSystem" is required (enter it either in parameters or request body)

sourceSystemId
string

"sourceSystemId" is required (enter it either in parameters or request body)

Body

application/json

Query parameters can also be provided in the request body as a JSON object

input
ShipmentsSetInput ยท object

input type for updating data in table "shipments"

sourceSystem
string
sourceSystemId
string

Response

Responses for PUT /api/rest/shipments

updateShipment
ShipmentsMutationResponse ยท object | null

response of any mutation on the table "shipments"